/**************************************************************
 *
 * File: debug.c
 * Author: Steve Wolfman
 *
 * Description: This file contains the implementation for the
 * debug_printf command used in CSE142. This command allows students
 * to leave debugging statements in the code even at submission time
 * because the debug_printf statements become empty statements in
 * release mode.
 *
 **************************************************************/

#include <stdio.h>     /* For vprintf */
#include <stdarg.h>   /* For va_ stuff */

/* empty_debug is just a placeholder for when we don't want to print
   debug_printf statements. */
int empty_debug(const char *format, ...)
{
  /* Do nothing and return the number of printed characters (none). */
  return 0;
}
